/*
 * InstrumentationEventListener.java
 *
 * Created on July 20, 2001, 7:05 AM
 *
 * See LICENSE file for license conditions.
 */

package residue.events;

/**
 * Event listener for events broadcast by instrumentation
 * processes.
 *
 * @author  chowells
 * @version 
 */
public interface InstrumentationEventListener
{
	/**
	 * This method is called when the whole instrumentation process is begun.
	 */
	public abstract void instrumentationStarted(InstrumentationEvent e);
	
	/**
	 * This method is called when the whole instrumentation process is done.
	 */
	public abstract void instrumentationFinished(InstrumentationEvent e);
	
	/**
	 * This method is called when instrumentation of a class has begun.
	 */
	public abstract void classStarted(InstrumentationEvent e);
	
} // interface InstrumentationEventListener
